Create Wallet Share Link
Related workflow: Working with Beams and credentials
POST
Create a temporary public link for a wallet credential the caller can read.
Related: Get Shared Wallet Credential
apiKeyheader
apikey<token>application/json- body
credentialId*stringWallet credential to expose via the share link. Caller must have read access via RBAC.
Temporary public share link: token, url, displayUrl and expiresAt.
application/json- response
token*stringurl*stringdisplayUrl*stringexpiresAt*stringWhen the share link stops working (ISO 8601)
Format
date-timecurl -X POST 'https://api.cerebrum.com/v1/wallet/shares' \ -H 'apikey: CEREBRUM_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "credentialId": "string"}'Example Response
{ "token": "string", "url": "string", "displayUrl": "string", "expiresAt": "2026-05-13T12:34:56.789Z"}